# Deckard
# The deck shuffeling and card drawing program

Deckard is a simple deck shuffeling and card drawing program, its designed to use deck definition files (written as a JSON object filled with only named arrays. Its also named after Deckard from *do androids dream of electric sheep* by Isacc Asimov.

An example of a deck definition file:

```
[
	{
		"dataIndex":0, 
		"name":"value", 
		"data":[ "A", "2", "3", "4", "5", "6", "7", "8", "9", "10", "J", "Q", "K"]
	},
	{
		"dataIndex":1,
		"name":"suit",
		"data":[ "♥", "♣", "♠", "♦"]
	}
]
```

Using this you can make all kinds of decks. 

A more advanced example uses an array of "decks" to build a single deck.

```
[
	[
		{
			"dataIndex":0,
			"name":"value",
			"data":["A","2","3","4","5","6","7","8","9","10","J","Q","K"]
		},
		{
			"dataIndex":1,
			"name":"suit",
			"data":["♥","♣","♠","♦"]
		}
	],
	[
		{
			"dataIndex":0,
			"name":"color",
			"data":["red ", "black "]
		},
		{
			"dataIndex":1,
			"name":"joker",
			"data":["joker"]
		}
	]
]
```
